[#assign divIDPrefix = def.parameters.divIDPrefix!]
[#assign divClass = def.parameters.divClass!""]

[#assign divID = ""]

[#if divIDPrefix?has_content]
    [#assign divID = ' id="${divIDPrefix}-${content.@id}"']
[/#if]

<div class="${divClass}" ${divID}>
  <h2>${content.title!?html}</h2>
  [#assign list = model.messageList]
  [#if list?has_content]
      <ul>
      [#list list as message]
        [#assign link = model.getPageLink(message)!'']
         <li><a href="${link}#${message.@uuid}"><em> ${(message.properties.name!'')?html}</em> ${(message.title!'')?html}
           [#if content.maxLength?has_content && message.content?length > content.maxLength]
             ${message.content?substring(0, content.maxLength)?html} ...
           [#else]
             ${message.content?html}
           [/#if]
         </a></li>
      [/#list]
      </ul>
  [#else]
      <p>There are no comments posted at the moment.</p>
  [/#if]
</div>
